#### PyKDE - Python Bindings for KDE

# class TDERecentDocument |
Table of contents
Modules
tdefile Classes
All Classes

Module | tdefile
Class | TDERecentDocument
Inherits |

### methods

- add (url)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  url | KURL |

- add (url, desktopEntryName)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  url | KURL |
  desktopEntryName | TQString |

- add (documentStr, isURL = 0)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  documentStr | TQString |
  isURL | bool | 0

- clear ()

  returns nothing
  static

- maximumItems ()

  returns (int)
  static

- recentDocumentDirectory ()

  returns (TQString)
  static

- recentDocuments ()

  returns (TQStringList)
  static